> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start delivery exception callback

> Workflow started (or the existing run returned when the deterministic workflow id already exists).

### Request body

`object`

<ParamField body="brand_id" type="string (uuid)" required />

<ParamField body="request_id" type="string (uuid)" required />

<ParamField body="callback" type="object" required />

### Response

`StartWorkflowResponse`

<ResponseField name="workflow_id" type="string" required />

<ResponseField name="run_id" type="string" />

### Status codes

| Code  | Meaning                                                                                            |
| ----- | -------------------------------------------------------------------------------------------------- |
| `200` | Workflow started (or the existing run returned when the deterministic workflow id already exists). |
| `400` | Validation error                                                                                   |
| `401` | Unauthorized                                                                                       |
| `404` | Not found                                                                                          |
| `429` | Rate limited                                                                                       |
| `500` | Internal error                                                                                     |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.workstream.stateset.com/v1/workflows/delivery-exception-callback/start' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
    --header 'Content-Type: application/json' \
    --data '{
    "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "callback": {
      "connector": {
        "connector_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "connector_key": "string",
        "connector_type": "string",
        "direction": "string",
        "base_url": "string",
        "api_version": "2026-08-01",
        "auth_scheme": "string",
        "auth_token": "YOUR_API_KEY",
        "auth_secret_ref": "YOUR_API_KEY",
        "extra_headers": {},
        "timeout_ms": 250,
        "metadata": {},
        "brand_slug": "acme-outdoors"
      },
      "to": "string",
      "order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "from": "string",
      "agent_key": "string",
      "greeting": "string",
      "machine_detection": "string",
      "idempotency_key": "req_01J9X4Q8M2ZK7V3N",
      "poll_interval_secs": 1,
      "max_polls": 1,
      "on_reship": [
        {
          "step_name": null,
          "connector_type": null,
          "direction": null,
          "action": null,
          "params": null
        }
      ],
      "on_refund": [
        {
          "step_name": null,
          "connector_type": null,
          "direction": null,
          "action": null,
          "params": null
        }
      ],
      "on_declined": [
        {
          "step_name": null,
          "connector_type": null,
          "direction": null,
          "action": null,
          "params": null
        }
      ]
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }
  ```
</ResponseExample>
